Debian Bug report logs - #686835
telepathy-mission-control-5: squeeze -> wheezy upgrade makes MSN accounts disappear

version graph

Package: telepathy-mission-control-5; Maintainer for telepathy-mission-control-5 is Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>; Source for telepathy-mission-control-5 is src:telepathy-mission-control-5.

Reported by: Simon McVittie <smcv@debian.org>

Date: Thu, 6 Sep 2012 14:51:02 UTC

Severity: grave

Tags: upstream

Found in versions telepathy-mission-control-5/1:5.12.1-2, telepathy-mission-control-5/1:5.12.0-1

Fixed in versions telepathy-mission-control-5/1:5.12.1-3, telepathy-mission-control-5/1:5.13.1-1

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#686835; Package telepathy-mission-control-5. (Thu, 06 Sep 2012 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Thu, 06 Sep 2012 14:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: telepathy-mission-control-5: squeeze -> wheezy upgrade makes MSN accounts disappear
Date: Thu, 6 Sep 2012 15:50:13 +0100
Package: telepathy-mission-control-5
Version: 1:5.12.1-2
Severity: grave
Tags: upstream
Justification: causes non-serious data loss

Mission Control 5.12 automatically migrates MSN accounts from
telepathy-butterfly to telepathy-haze. However, the migration process doesn't
actually work if telepathy-butterfly is not installed. Instead, the
butterfly account gets disabled and marked as invalid. Empathy doesn't
display accounts that are marked as invalid (which I think is a bug -
it should present account editing UI for them so they can be resurrected -
but that's unlikely to happen before wheezy).

Because telepathy-butterfly depends on papyon which depends on Farsight
which conflicts with Farstream, is removed during the upgrade from squeeze
to wheezy. The practical result is that all MSN accounts from squeeze
disappear. It is possible to get them back, but only if you're a Telepathy
expert.

I hope to be able to fix this upstream.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages telepathy-mission-control-5 depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.12.1-2
ii  libc6                                        2.13-35
ii  libdbus-1-3                                  1.6.4-1
ii  libdbus-glib-1-2                             0.100-1
ii  libglib2.0-0                                 2.32.3-1
ii  libgnome-keyring0                            3.4.1-1
ii  libmission-control-plugins0                  1:5.12.1-2
ii  libnm-glib4                                  0.9.4.0-5
ii  libtelepathy-glib0                           0.19.3-1
ii  libupower-glib1                              0.9.17-1

telepathy-mission-control-5 recommends no packages.

Versions of packages telepathy-mission-control-5 suggests:
ii  telepathy-haze  0.6.0-1

-- no debconf information



Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Thu, 06 Sep 2012 17:33:22 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Thu, 06 Sep 2012 17:33:22 GMT) Full text and rfc822 format available.

Message #10 received at 686835-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 686835-close@bugs.debian.org
Subject: Bug#686835: fixed in telepathy-mission-control-5 1:5.12.1-3
Date: Thu, 06 Sep 2012 17:32:45 +0000
Source: telepathy-mission-control-5
Source-Version: 1:5.12.1-3

We believe that the bug you reported is fixed in the latest version of
telepathy-mission-control-5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686835@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated telepathy-mission-control-5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 06 Sep 2012 17:06:32 +0100
Source: telepathy-mission-control-5
Binary: telepathy-mission-control-5 telepathy-mission-control-5-dbg libmission-control-plugins0 libmission-control-plugins-dev libmission-control-plugins-doc
Architecture: source amd64 all
Version: 1:5.12.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 libmission-control-plugins-dev - management daemon for Telepathy (headers for plugins)
 libmission-control-plugins-doc - management daemon for Telepathy (documentation for plugins)
 libmission-control-plugins0 - management daemon for Telepathy (library for plugins)
 telepathy-mission-control-5 - management daemon for Telepathy real-time communication framework
 telepathy-mission-control-5-dbg - management daemon for Telepathy (debug symbols)
Closes: 686835 686836
Changes: 
 telepathy-mission-control-5 (1:5.12.1-3) unstable; urgency=low
 .
   * Add patches from upstream stable release 5.12.2 to fix deletion of
     passwords from gnome-keyring, in particular when upgrading Empathy
     from squeeze to wheezy triggers a format migration. (Closes: #686836)
   * Add patch from upstream stable release 5.12.2 to enable migration of
     Butterfly accounts to Haze after Butterfly has been uninstalled
     (Closes: #686835)
   * Add patch from upstream stable release 5.12.2 to migrate the
     passwords of Butterfly accounts too
Checksums-Sha1: 
 3855919f92f357ee8ca9b4e399ed6ccc171ec967 2862 telepathy-mission-control-5_5.12.1-3.dsc
 3513b0051736beb273551cffb563b5035000581c 14507 telepathy-mission-control-5_5.12.1-3.debian.tar.gz
 e3635fecdb6c6281c1e3ea005a5e78d77b7da88f 306302 telepathy-mission-control-5_5.12.1-3_amd64.deb
 48dda3b116497839c1a8284f67339fed124d215b 586220 telepathy-mission-control-5-dbg_5.12.1-3_amd64.deb
 384db3648db10cbee790aaabe1282597cf9526d8 128850 libmission-control-plugins0_5.12.1-3_amd64.deb
 26fbdb9814c42260c3b3fc5de5635d08fe42fb32 6446 libmission-control-plugins-dev_5.12.1-3_amd64.deb
 31b8afe69fd0dc5242ad715ce340a32752bc049c 147918 libmission-control-plugins-doc_5.12.1-3_all.deb
Checksums-Sha256: 
 27e1d7ce96a2df0dc8b922f9c95220bf966ed7e0d644cf30bea9adbe08547f33 2862 telepathy-mission-control-5_5.12.1-3.dsc
 c93b07f179d3db26252500350f1f89fd4871ef638784a88b12904686458991c0 14507 telepathy-mission-control-5_5.12.1-3.debian.tar.gz
 023ff5592181a855ae28b2a87b7c5d8473d9d05ab1a57e7cb497e30f2776abcd 306302 telepathy-mission-control-5_5.12.1-3_amd64.deb
 d4d177bde914a0323837f211f79d775caad99911c78ca7e5bb43772b019472d8 586220 telepathy-mission-control-5-dbg_5.12.1-3_amd64.deb
 d22040fafe4940ea6fd9ba2ba032095b0e8ee5d835367ae67761e79e7ba73837 128850 libmission-control-plugins0_5.12.1-3_amd64.deb
 666d5b5e166716dc2723f7140fd890bbe1c47905fceccaf42860bf15ff3b130b 6446 libmission-control-plugins-dev_5.12.1-3_amd64.deb
 631ac4adaf37bbd26d8ebbbd69d11b54782618a03db3c16858d02b482daeb647 147918 libmission-control-plugins-doc_5.12.1-3_all.deb
Files: 
 6825e7f9068f74b8d8c78e761a0e5e16 2862 net optional telepathy-mission-control-5_5.12.1-3.dsc
 2bce285caee34e4fbbbcdfc47c9749eb 14507 net optional telepathy-mission-control-5_5.12.1-3.debian.tar.gz
 b2e2e441ffd65f70a36c884faa5aecf6 306302 net optional telepathy-mission-control-5_5.12.1-3_amd64.deb
 ffe718cd0dc1451d3bd60f8ef312feee 586220 debug extra telepathy-mission-control-5-dbg_5.12.1-3_amd64.deb
 3a75e58ed522fb936d9286b066f3c138 128850 libs optional libmission-control-plugins0_5.12.1-3_amd64.deb
 543ece9236da620cbf8ae07d2c42be5a 6446 libdevel extra libmission-control-plugins-dev_5.12.1-3_amd64.deb
 1d179dd31803f57e9bd79d4945e328ed 147918 doc extra libmission-control-plugins-doc_5.12.1-3_all.deb

-----BEGIN PGP SIGNATURE-----

iQIVAwUBUEjbDU3o/ypjx8yQAQgB6hAAnuALPLJNZoCaUI/KoZdQ1+KdJVW9tzb5
zDQaxNNuQeL0VU8BzW2Er3WVD4a6/w6CXtmMnODJffuN6sblnZTxKKqUrzFW/rL5
g2kvLX68ajMN/5/bXg184xW8EA2+jdX0OpU9d5c6O9eG4FFT9GdavQY0PMmLJDwW
E5DVg9Z0seIntiVffq1C7POFjQx2vUCXhLUkqtS9HmGCBNU00ZCp5kA5o0+3gJGr
Yuy6tGycpSqkLjWD2U1Thaf4CJu82VHAxnOcgBpOpbDxGdLISWqXABl1OayNf6KG
EyKM9AFUcczM7MuEl6ZBuTz0TALnNPjtHJKx4JooylSEQx3rThPtdOxUC0tRw23o
b6YS0w0YSfyzakoqXVamcMVxaL0vHzDytmYE8DNwxThHSKPijtv3FDabQccyL1/n
Fzao+/igyq2WvjxQivdq7u8ADktGqJc0r8BRMzo+f8969xGMhCsou6pBk6qmgww/
FMCnXtYtFzvNILCoTvJMNpKgup2SB9WaLq37OuOJENQC+2cypEEsF4c1XVSq3jak
tbxbMaSXd4KCe/1BUU2FQSlvA18SaiB37kPTdgOovQfYcdQ0YgwA/XT18F1eA4up
jThsTsP7lS77zA2gigdNGA6HEFeKIx7Y6N+nzYiDIgG5G/EaODHzfxJmX2rQsMlT
VAz+ZHfQCXM=
=Nolc
-----END PGP SIGNATURE-----




Marked as found in versions telepathy-mission-control-5/1:5.12.0-1. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Thu, 20 Sep 2012 14:57:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 1:5.13.1-1/ and telepathy-mission-control-5/1:5.13.1-1. Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Thu, 20 Sep 2012 14:57:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions 1:5.13.1-1/. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Sep 2012 18:34:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#686835; Package telepathy-mission-control-5. (Fri, 21 Sep 2012 19:55:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Fri, 21 Sep 2012 19:55:26 GMT) Full text and rfc822 format available.

Message #21 received at 686835@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 686835@bugs.debian.org
Subject: Wrong versions fixed in bug 686835
Date: Fri, 21 Sep 2012 12:51:00 -0700
This bug (686835) had an incorrect found or fixed version which was
caused by 686106. I have removed the incorrect found or fixed version,
and added it back as a correct version. [This was the source of the
internal messages which you have received previously.]

If you have any questions, please contact owner@bugs.debian.org

Don Armstrong




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 20 Oct 2012 07:27:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:39:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.